List Contacts
/unified/crm/contacts
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
26 supported
The email address
The unique identifier of the email addresses
The email address type
25 supported
The phone number
The phone number type
mobilework
The extension of the phone number
The unique identifier of the phone number
The date and time of the contact's creation
24 supported
The date and time of the contact's last update
23 supported
The contact's first name
25 supported
The contact's last name
25 supported
Search by name, email, phone, account
13 supported
Sort results by one or more fields
created_atemail_addressesfirst_nameidlast_activity_atlast_namenametitleupdated_at
19 supported
created_atidnameemail_addressesnamecreated_atupdated_atlast_activity_atnamecreated_atupdated_atlast_activity_atfirst_namelast_nameemail_addressesupdated_atcreated_atcreated_atlast_activity_atfirst_nameemail_addressesnamecreated_atupdated_atnamefirst_namelast_namefirst_namelast_namecreated_atupdated_atcreated_atupdated_atfirst_namelast_namenamecreated_atupdated_attitlenamecreated_atupdated_attitlefirst_namelast_namecreated_atlast_activity_atemail_addressesfirst_namelast_nameemail_addressescreated_atupdated_atnameThe date and time of the contact's creation
ascdesc
6 supported
The date and time of the contact's last update
ascdesc
5 supported
The contact's full name
25 supported
The date and time of the contact's last activity
13 supported
The contact's job title
19 supported
The contact's account
22 supported
The account's unique identifier
The account's name
The account's owner
9 supported
The owner's unique identifier
The contact's tags
13 supported
The tag's unique identifier
The tag's name
19 supported
The city
The country
The unique identifier of the address
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The country of the contacts
5 supported
The city of the contacts
5 supported
The state of the contacts
5 supported
2 supported
The view id of the contacts
1 supported
The workspace associated with the contact.
1 supported1 required
The workspace's unique identifier
The view you want to get the contacts from
1 supported
The unique identifier of the views
The opportunities associated with the contacts.
1 supported
4 supported
1 supported
All the custom fields present on the contact
18 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Contacts
The contact's unique identifier
26 supported
The contact's account
22 supported
2 properties
The account's unique identifier
The account's name
19 supported
8 properties
The city
The country
The unique identifier of the address
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The date and time of the contact's creation
24 supported
All the custom fields present on the contact
18 supported
26 supported
3 properties
The email address
The unique identifier of the email addresses
The email address type
The unique identifier for the specific version of the resource.
2 supported
The contact's first name
25 supported
The date and time of the contact's last activity
13 supported
The contact's last name
25 supported
The contact's full name
25 supported
The account's owner
9 supported
1 property
The owner's unique identifier
25 supported
4 properties
The extension of the phone number
The unique identifier of the phone number
The phone number
The phone number type
Raw data returned from the remote API call.
The contact's tags
13 supported
2 properties
The tag's unique identifier
The tag's name
The contact's job title
19 supported
The date and time of the contact's last update
23 supported
The contact's urls
9 supported
2 properties
The contact's URL type
The contact's URL
curl -X GET 'https://api.truto.one/unified/crm/contacts?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/contacts?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/contacts"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'contacts',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"contacts",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())